Summary:	Adwaita fonts from GNOME project
Summary(pl.UTF-8):	Fonty Adwaita z projektu GNOME
Name:		fonts-TTF-Adwaita
Version:	48.2
Release:	1
License:	OFL v1.1
Group:		Fonts
Source0:	https://download.gnome.org/sources/adwaita-fonts/48/adwaita-fonts-%{version}.tar.xz
# Source0-md5:	39afa6611285c473595ef5ce3c6e018d
URL:		https://gitlab.gnome.org/GNOME/adwaita-fonts/
BuildRequires:	meson
BuildRequires:	ninja >= 1.5
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	fontpostinst
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_ttffontsdir	%{_fontsdir}/TTF

%description
This package provides Adwaita fonts for GNOME project:
- Adwaita Sans, a variation of Inter <https://rsms.me/inter/>
- Adwaita Mono, Iosevka <https://typeof.net/Iosevka/> customized to
  match Inter

%description -l pl.UTF-8
Ten pakiet dotarcza fonty Adwaita dla projektu GNOME:
- Adwaita Sans - wariant fontu Inter <https://rsms.me/inter/>
- Adwaita Mono - font Iosevka <https://typeof.net/Iosevka/>
  dostosowany, aby pasował do Inter

%prep
%setup -q -n adwaita-fonts-%{version}

cp -p mono/LICENSE.md LICENSE-mono.md
cp -p sans/LICENSE.md LICENSE-sans.md

%build
%meson

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

# unify font dir
%{__mv} $RPM_BUILD_ROOT%{_fontsdir}/{Adwaita,TTF}

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst TTF

%postun
fontpostinst TTF

%files
%defattr(644,root,root,755)
%doc LICENSE-*.md README.md
%{_ttffontsdir}/AdwaitaMono-*.ttf
%{_ttffontsdir}/AdwaitaSans-*.ttf
%changelog
* Mon Apr 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fonts-TTF-Adwaita.git;a=log;h=master

* Mon Apr 28 2025 Jakub Bogusz <qboosh@pld-linux.org> 5212fdd
- new

